This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 40268 - NDS logins don't work
NDS logins don't work
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: ncpfs (Show other bugs)
7.1
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Florian La Roche
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-11 12:40 EDT by Ben Harris
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-08 17:26:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ben Harris 2001-05-11 12:40:58 EDT
Description of Problem:
When I try an NDS login, I get the following message:

ncpmount: Invalid server response (-330) in nds login

How Reproducible:
Works every time.  Or rather, doesn't.

Steps to Reproduce:
1. Find a server (e.g. PWF-HOME-AJ) and an account (e.g. bjh21.Aliases).
2. ncpmount -S PWF-HOME-AJ -U bjh21.Aliases /mnt/test

Actual Results:

ncpmount: Invalid server response (-330) in nds login


Expected Results:

a mounted filesystem

Additional Information:

This can be worked around by specifying -b (bindery login, using bindery
emulation on the server), or by installing ncpfs-2.2.0.17 (from RHL 6.2).
The server is running NetWare 5.0, so this may be related to bug #20885.
Comment 1 Richard Torkar 2002-09-16 08:52:26 EDT
Ok, I had the same problem, then I installed ncpfs-2.2.0.19.7 from:
ftp://platan.vc.cvut.cz/private/ncpfs

And now it works [tm]

/Richard
Comment 2 Florian La Roche 2003-02-08 17:26:54 EST
I have updated to ncpfs-2.2.1 from the same site, ncpfs-2.2.1-1 should
be available in rawhide by tomorrow.

Please reopen this bug if that version does not work.

Thanks,

Florian La Roche

Note You need to log in before you can comment on or make changes to this bug.